Package com.independentsoft.office.spreadsheet

# Enum Class ConditionalFormatValueObjectType

java.lang.Object
java.lang.Enum<ConditionalFormatValueObjectType>
com.independentsoft.office.spreadsheet.ConditionalFormatValueObjectType

All Implemented Interfaces:
  `Serializable`, `Comparable<ConditionalFormatValueObjectType>`, `Constable`

public enum ConditionalFormatValueObjectType extends Enum<ConditionalFormatValueObjectType>
The Enum ConditionalFormatValueObjectType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORMULA`
  `MAXIMUM`
  `MINIMUM`
  `NONE`
  `NUMBER`
  `PERCENT`
  `PERCENTILE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConditionalFormatValueObjectType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConditionalFormatValueObjectType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FORMULA

    public static final ConditionalFormatValueObjectType FORMULA

  - ### MAXIMUM

    public static final ConditionalFormatValueObjectType MAXIMUM

  - ### MINIMUM

    public static final ConditionalFormatValueObjectType MINIMUM

  - ### NUMBER

    public static final ConditionalFormatValueObjectType NUMBER

  - ### PERCENT

    public static final ConditionalFormatValueObjectType PERCENT

  - ### PERCENTILE

    public static final ConditionalFormatValueObjectType PERCENTILE

  - ### NONE

    public static final ConditionalFormatValueObjectType NONE

- ## Method Details

  - ### values

    public static ConditionalFormatValueObjectType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConditionalFormatValueObjectType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null